Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`trial`.`unittest`.`TestDecorator``

class documentation

`class TestDecorator(components.proxyForInterface(itrial.ITestCase, '_originalTest')): (source)`

Known subclasses: `twisted.trial._asyncrunner._ForceGarbageCollectionDecorator`, `twisted.trial._asyncrunner._PyUnitTestCaseAdapter`

Implements interfaces: `twisted.trial.itrial.ITestCase`

View In Hierarchy

Decorator for test cases.

Parameters
_originalTest | The wrapped instance of test.

Method | `__call__` | Run the unit test.
Method | `run` | Run the unit test.

def __call__(self, result): (source)
from `twisted.trial.itrial.ITestCase`

Run the unit test.

Parameters
result | A TestResult object.

def run(self, result): (source)
from `twisted.trial.itrial.ITestCase`
overridden in `twisted.trial._asyncrunner._ForceGarbageCollectionDecorator`

Run the unit test.

Parameters
result | A TestResult object.